%define        srcname     platform-%{name}

%define        major       2
%define        libname     %mklibname %{name} %{major}
%define        develname   %mklibname %{name} -d

Name:          p8-platform
Version:       2.1.0.1
Release:       %mkrel 5
Summary:       Platform support library used by libCEC and Kodi
Group:         Development/C
License:       GPLv3

URL:           https://github.com/Pulse-Eight/platform
Source0:       https://github.com/Pulse-Eight/platform/archive/%{srcname}-%{version}.tar.gz
Patch0:        p8-platform-cmake-4.0.patch


BuildRequires: cmake


%description
%{summary}.


%package -n     %{libname}
Summary:        Platform support library used by libCEC and Kodi
Group:          System/Libraries

%description -n %{libname}
Platform support library used by libCEC and binary add-ons for Kodi.



%package -n     %{develname}
Summary:        Development files for p8-platform
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.





%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%{_libdir}/libp8-platform.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/p8-platform
%{_libdir}/lib*.so
%{_libdir}/pkgconfig
%{_libdir}/p8-platform




%changelog
* Thu Jun 26 2025 daviddavid <daviddavid> 2.1.0.1-5.mga10
+ Revision: 2197563
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 2.1.0.1-4.mga9
+ Revision: 1795145
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.1.0.1-3.mga8
+ Revision: 1515769
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0.1-2.mga7
+ Revision: 1300085
- Mageia 7 Mass Rebuild

* Fri Feb 10 2017 eatdirt <eatdirt> 2.1.0.1-1.mga6
+ Revision: 1085544
- imported package p8-platform


* Fri Feb 10 2017 Chris Ringeval <eatdirt@mageia.org> 2.1.0.1-1.mga6
- Importing p8-platform
